Get File Category Field List
curl --request GET \
--url https://docflow.textin.com/api/app-api/sip/platform/v2/category/fields/list \
--header 'x-ti-app-id: <api-key>' \
--header 'x-ti-secret-code: <api-key>'{
"code": 200,
"msg": "<string>",
"result": {
"fields": [
{
"name": "Invoice Code",
"description": "Invoice code description",
"prompt": "<string>",
"use_prompt": true,
"alias": [
"Invoice No.",
"Bill Number"
],
"identity": "invoice_number",
"multi_value": true,
"duplicate_value_distinct": true,
"transform_settings": {
"datetime_settings": {
"format": "yyyy-MM-dd"
},
"enumerate_settings": {
"items": [
"VAT Special Invoice",
"VAT General Invoice",
"Electronic Invoice"
]
},
"regex_settings": {
"match": "^(\\d{4})-(\\d{2})-(\\d{2})$",
"replace": "$1/$2/$3"
},
"mismatch_action": {
"default_value": "N/A"
}
},
"id": "1234567890",
"extract_model": "Model 1"
}
],
"tables": [
{
"id": "1234567890",
"name": "Table 1",
"description": "Table description",
"prompt": "Extract item name, quantity and amount from each row",
"collect_from_multi_table": true,
"extract_model": "Model 1",
"fields": [
{
"name": "Invoice Code",
"description": "Invoice code description",
"prompt": "<string>",
"use_prompt": true,
"alias": [
"Invoice No.",
"Bill Number"
],
"identity": "invoice_number",
"multi_value": true,
"duplicate_value_distinct": true,
"transform_settings": {
"datetime_settings": {
"format": "yyyy-MM-dd"
},
"enumerate_settings": {
"items": [
"VAT Special Invoice",
"VAT General Invoice",
"Electronic Invoice"
]
},
"regex_settings": {
"match": "^(\\d{4})-(\\d{2})-(\\d{2})$",
"replace": "$1/$2/$3"
},
"mismatch_action": {
"default_value": "N/A"
}
},
"id": "1234567890",
"extract_model": "Model 1"
}
]
}
]
}
}File Category
Get File Category Field List
Get file category field list, including regular fields and tables (with table fields)
GET
/
api
/
app-api
/
sip
/
platform
/
v2
/
category
/
fields
/
list
Get File Category Field List
curl --request GET \
--url https://docflow.textin.com/api/app-api/sip/platform/v2/category/fields/list \
--header 'x-ti-app-id: <api-key>' \
--header 'x-ti-secret-code: <api-key>'{
"code": 200,
"msg": "<string>",
"result": {
"fields": [
{
"name": "Invoice Code",
"description": "Invoice code description",
"prompt": "<string>",
"use_prompt": true,
"alias": [
"Invoice No.",
"Bill Number"
],
"identity": "invoice_number",
"multi_value": true,
"duplicate_value_distinct": true,
"transform_settings": {
"datetime_settings": {
"format": "yyyy-MM-dd"
},
"enumerate_settings": {
"items": [
"VAT Special Invoice",
"VAT General Invoice",
"Electronic Invoice"
]
},
"regex_settings": {
"match": "^(\\d{4})-(\\d{2})-(\\d{2})$",
"replace": "$1/$2/$3"
},
"mismatch_action": {
"default_value": "N/A"
}
},
"id": "1234567890",
"extract_model": "Model 1"
}
],
"tables": [
{
"id": "1234567890",
"name": "Table 1",
"description": "Table description",
"prompt": "Extract item name, quantity and amount from each row",
"collect_from_multi_table": true,
"extract_model": "Model 1",
"fields": [
{
"name": "Invoice Code",
"description": "Invoice code description",
"prompt": "<string>",
"use_prompt": true,
"alias": [
"Invoice No.",
"Bill Number"
],
"identity": "invoice_number",
"multi_value": true,
"duplicate_value_distinct": true,
"transform_settings": {
"datetime_settings": {
"format": "yyyy-MM-dd"
},
"enumerate_settings": {
"items": [
"VAT Special Invoice",
"VAT General Invoice",
"Electronic Invoice"
]
},
"regex_settings": {
"match": "^(\\d{4})-(\\d{2})-(\\d{2})$",
"replace": "$1/$2/$3"
},
"mismatch_action": {
"default_value": "N/A"
}
},
"id": "1234567890",
"extract_model": "Model 1"
}
]
}
]
}
}Query Parameters
Workspace ID
Example:
"1234567890"
File category ID
Example:
"1234567890"
⌘I

